uuid: a1ef69b5-5963-482a-ae2e-d6c2dd0ef17d
langcode: en
status: true
dependencies:
  module:
    - commerce_product
    - node
    - search_api
  config:
    - field.storage.commerce_product.variations
    - field.storage.commerce_product_variation.field_huprod_abstract
    - field.storage.commerce_product_variation.field_huprod_description
    - field.storage.node.field_abstract
    - field.storage.node.body
    - field.storage.node.field_dealer_company2
    - field.storage.node.field_event_title
    - field.storage.node.field_paragraphs
    - search_api.server.db_search
id: site_search
name: 'Site Search'
description: ''
read_only: false
field_settings:
  body:
    label: Body
    datasource_id: 'entity:node'
    property_path: body
    type: text
    dependencies:
      config:
        - field.storage.node.body
  field_abstract:
    label: Abstract
    datasource_id: 'entity:node'
    property_path: field_abstract
    type: text
    dependencies:
      config:
        - field.storage.node.field_abstract
  field_dealer_company2:
    label: 'Company 2'
    datasource_id: 'entity:node'
    property_path: field_dealer_company2
    type: string
    dependencies:
      config:
        - field.storage.node.field_dealer_company2
  field_event_title:
    label: 'Event title'
    datasource_id: 'entity:node'
    property_path: field_event_title
    type: text
    dependencies:
      config:
        - field.storage.node.field_event_title
  field_huprod_abstract:
    label: 'Variations » Product variation » Abstract'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_abstract'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_abstract
      module:
        - commerce_product
  field_huprod_description:
    label: 'Variations » Product variation » Description'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_description'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_description
      module:
        - commerce_product
  field_paragraphs:
    label: Paragraphs
    datasource_id: 'entity:node'
    property_path: field_paragraphs
    type: text
    dependencies:
      config:
        - field.storage.node.field_paragraphs
  langcode:
    label: 'Variations » Product variation » Language'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:langcode'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  sku:
    label: 'Variations » Product variation » SKU'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:sku'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:commerce_product'
    property_path: title
    type: text
    dependencies:
      module:
        - commerce_product
  title_1:
    label: 'Variations » Product variation » Title'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:title'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:commerce_product':
    bundles:
      default: false
      selected:
        - hufriedy_product
    languages:
      default: true
      selected: {  }
  'entity:node':
    bundles:
      default: false
      selected:
        - blog_article
        - course
        - dealer
        - downloadable_content
        - event
        - hot_off_press
        - key_opinion_leader
        - news
        - page
        - project
        - video
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  highlight:
    highlight: always
    highlight_partial: false
    excerpt: true
    excerpt_length: 150
    exclude_fields: {  }
    prefix: '<strong>'
    suffix: '</strong>'
    weights:
      postprocess_query: 0
  html_filter:
    all_fields: false
    fields:
      - body
      - field_abstract
      - field_huprod_abstract
      - field_huprod_description
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
    weights:
      preprocess_index: -15
      preprocess_query: -15
  ignorecase:
    all_fields: false
    fields:
      - body
      - field_abstract
      - field_event_title
      - field_huprod_abstract
      - field_huprod_description
      - langcode
      - sku
      - title
      - title_1
    weights:
      preprocess_index: -20
      preprocess_query: -20
  rendered_item: {  }
tracker_settings:
  default:
    indexing_order: fifo
options:
  index_directly: true
  cron_limit: 50
server: db_search
